﻿using Windows.Graphics;

using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject;

/// <summary>
/// 앱
/// </summary>
public partial class App : Application
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region Field

    /// <summary>
    /// 윈도우
    /// </summary>
    private Window window;

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - App()

    /// <summary>
    /// 생성자
    /// </summary>
    public App()
    {
        InitializeComponent();
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region 시작시 처리하기 - OnLaunched(args)

    /// <summary>
    /// 시작시 처리하기
    /// </summary>
    /// <param name="args">이벤트 인자</param>
    protected override void OnLaunched(LaunchActivatedEventArgs args)
    {
        this.window = new MainWindow();

        Frame frame = this.window.Content as Frame;

        frame.Content = new MainPage();

        this.window.AppWindow.Resize(new SizeInt32(800, 600));

        this.window.Activate();
    }

    #endregion
}